#include "elemento.h"

#ifndef _zumbador_
#define _zumbador_

class Zumbador: public Elemento
{
	public:
		
		Zumbador (Voltaje* voltReposo=NULL, Frecuencia* frecReposo=NULL,
			Voltaje* voltActivacion=NULL, Frecuencia* frecActivacion=NULL);
		int setEntrada (Senal* s, int posicion=POS_ENTRADA);
		/*	Metodos getter */
		
		Voltaje*	getVoltajeReposo();
		Voltaje*	getVoltajeActivacion();
		Frecuencia*	getFrecuenciaReposo();
		Frecuencia*	getFrecuenciaActivacion();
		
		/*	Esto devuelve la frecuencia de activacion. Se incluye por comodidad*/
		Frecuencia*	getFrecuencia();
		virtual NodoXML getXML ( DOMImplementation* impl );
		virtual void 		construir   ( DOMElement* );
	protected:
		Voltaje*	voltajeReposo;
		Frecuencia*	frecuenciaReposo;
		Voltaje*	voltajeActivacion;
		Frecuencia*	frecuenciaActivacion;	
};


#endif
