#include "aplicacion.h"
#include "ventana.h"
#include "wx/wxprec.h"

#include "wx/image.h"
#include "wx/splash.h"
#include "wx/mediactrl.h"


//Descomentar esta linea para que aparezca la pantalla de inicio
//#define LOGO

Aplicacion::Aplicacion()
{
}

bool Aplicacion::OnInit()
{
	Ventana* v=new Ventana();
	wxImage::AddHandler(new wxPNGHandler);
	wxImage::AddHandler( new wxXPMHandler );
#ifdef LOGO

	wxBitmap bitmap;
    if (bitmap.LoadFile(_T("logo/logo.png"), wxBITMAP_TYPE_PNG))
    {
        wxSplashScreen* splash = new wxSplashScreen(bitmap,
          wxSPLASH_CENTRE_ON_SCREEN|wxSPLASH_TIMEOUT,
          6000, NULL, -1, wxDefaultPosition, wxDefaultSize,
          wxSIMPLE_BORDER|wxSTAY_ON_TOP);
    }
    wxYield();
#endif
	v->SetSize (20,20, 750, 550);
	v->CenterOnScreen();
	/*	Esto solo funciona en Windows, pero es comodo*/
	v->Maximize(true);
	v->Show (TRUE);
	return TRUE;
}

IMPLEMENT_APP (Aplicacion)
