#include "elemento.h"

#ifndef _electroiman_
#define _electroiman_

class Electroiman : public Elemento
{
	public:
		Electroiman ();
		Electroiman(Voltaje* vEntradaReposo, Voltaje* vEntradaActivacion,
			Magnetismo* mSalidaReposo, Magnetismo* mSalidaActivacion);
		
		int setEntrada (Senal* entrada, int posicion=POS_ENTRADA);
		
		/*	Metodos getter*/
		Voltaje*	getVoltajeEntradaReposo		();
		Voltaje*	getVoltajeEntradaActivacion	();
		Magnetismo* getMagSalidaReposo			();
		Magnetismo* getMagSalidaActivacion		();
		
		void		setVoltajeEntradaReposo		( Voltaje*		);
		void		setVoltajeEntradaActivacion	( Voltaje*		);
		void 		setMagSalidaReposo			( Magnetismo*	);
		void		setMagSalidaActivacion		( Magnetismo*	);
		
		virtual NodoXML getXML ( DOMImplementation* impl );
		virtual void construir 	 ( DOMElement* );		
	protected:
		Voltaje*	voltajeEntradaReposo;
		Voltaje*	voltajeEntradaActivacion;
		Magnetismo* magSalidaReposo;
		Magnetismo* magSalidaActivacion;	
};

#endif
