#ifndef _fabricaelementos_h
#define _fabricaelementos_h

#include "constantes.h"
#include "motor.h"
#include "lampara.h"
#include "reed.h"
#include "fotosensor.h"
#include "pulsador.h"
#include "electroiman.h"
#include "zumbador.h"
#include "contador.h"
#include "rele.h"
#include "temporizador.h"
#include "elemento.h"
#include "biestable.h"
class FabricaDeElementos
{
	public:
		FabricaDeElementos();
		/* 	Este mtodo crea una instancia de elemento 
			a partir de un nmero que indica el tipo de elemento */
		Elemento* CrearElemento(int tipoDeElemento);
		
		/*	Este mtodo tambin crea una instancia pero a partir
			de una cadena como "pulsador" o "lampara"*/
		Elemento* CrearElemento(char* nombre);
	private:
		map<string, int> codigoDeElemento;
		
};

#endif
